package com.controller;

import com.config.BaseController;
import com.config.ControllerInterface;
import com.jfinal.aop.Before;
import com.model.Org;
import com.model.User;
import com.service.OrgService;
import com.service.UserService;
import com.tools.JwtUtils;
import com.validator.UserValidator;
import org.apache.commons.lang3.StringUtils;

import java.util.Map;


@ControllerInterface(path="/list-manage")
public class SchoolPageController extends BaseController {
    OrgService orgService = OrgService.me;
    //编目管理
    public void bookBackData() {render("/view/list-manage/bookBackData.html");}
    public void addBookList() {render("/view/list-manage/addBookList.html");}

    public void editBookList() {render("/view/library/editBookList.html");}

    public void journalBackData() {
        render("/view/list-manage/journalBackData.html");
    }
    public void bookpici() {
        render("/view/list-manage/bookpici.html");
    }
    public void bookList() {
        render("/view/list-manage/bookList.html");
    }
    public void bookMarkPrint() {
        render("/view/list-manage/bookMarkPrint.html");
    }
    public void journalMarkPrint() {
        render("/view/list-manage/journalMarkPrint.html");
    }
    public void bookShelf() {
        render("/view/list-manage/bookShelf.html");
    }
    public void listCount() {
        render("/view/list-manage/listCount.html");
    }

    public void bookBaseInfo(){render("/view/list-manage/bookBaseInfo.html");};

    //流通管理
    public void jieYueRecord() {
        render("/view/flow-manage/jieYueRecord.html");
    }
    public void jieYueTotal() {
        render("/view/flow-manage/jieYueTotal.html");
    }
    public void dailyBorrowing() {
        render("/view/flow-manage/dailyBorrowing.html");
    }
    public void libraryClock() {
        render("/view/sysconfig/libraryclock.html");
    }

    public void rfidbarcode() {
        render("/view/flow-manage/rfidbarcode.html");
    }

    public void dailyBorrowing_rfid() {
        render("/view/flow-manage/dailyBorrowing_rfid.html");
    }

    public void dailyBorrowing_rfidandface(){
        render("/view/flow-manage/dailyBorrowing_rfidandface.html");
    }

    public void dailyBorrowing_face() {
        int facedevicetype = getParaToInt("facedevicetype", 0);
        if(facedevicetype == 0) {
            render("/view/flow-manage/dailyBorrowing_face.html");
        }else{
            render("/view/flow-manage/dailyBorrowing_aiface.html");
        }
    }

    public void loseBookList() {
        render("/view/flow-manage/loseBookList.html");
    }
    public void damageBookList() {
        render("/view/flow-manage/damageBookList.html");
    }
    public void jieYueRecordQ() {
        render("/view/flow-manage/jieYueRecordQ.html");
    }
    public void loseBook() {
        render("/view/flow-manage/loseBook.html");
    }

    public void damagedBook() {
        render("/view/flow-manage/damagedBook.html");
    }

    public void removeBook() {
        render("/view/library/removeBook.html");
    }

    public void barCodeChangeBook() {
        render("/view/library/barCodeChangeBook.html");
    }

    public void libraryBookChange() {
        render("/view/library/librayBookChange.html");
    }

    public void libraryBookPlan() {
        render("/view/library/librayBookPlan.html");
    }

    public void cancelBook() {
        render("/view/library/cancelBook.html");
    }

    //报表统计
    public void bookLendingRanking() {
        render("/view/report/bookLendingRanking.html");
    }
    public void bookTypeLendingRanking() {
        render("/view/report/bookTypeLendingRanking.html");
    }
    public void readerLendingRanking() {
        render("/view/report/readerLendingRanking.html");
    }
    public void deptLendingRanking() {
        render("/view/report/deptLendingRanking.html");
    }
    public void bookCancellationStatistics() {
        render("/view/report/bookCancellationStatistics.html");
    }
    public void bookClassificationStatistics() {
        render("/view/report/bookClassificationStatistics.html");
    }
    public void basicStatistics() {
        render("/view/report/basicStatistics.html");
    }



}
